#include<fstream>
#include<cmath>
#include<algorithm>
using namespace std;
int ok(int a,int i)
{
	if(a==0) return 0;
	if(a==1) return 0;
	if(a==2) return 1;
	if(a%i==0) return 0;
	else
	{	
		if(i==2) return 1;
		else ok(a,i-1);
	}
}
int main()
{
	ifstream f1("DQNT.INP");
	ofstream f2("DQNT.OUT");
	int n;
	f1>>n;
	int f[n];
	int i;
	int dem=0;
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	f1.close();
	sort(f,f+n);
	for(i=0;i<n;i++)
	{
		if(ok(f[i],f[i]-1)==1) 
		{
			f2<<f[i]<<' ';
			dem++;
		}
	}
	if(dem==0) f2<<-1;
	f2.close();
	return 0;
}

